searchData={"items":[{"type":"module","title":"NLdoc.Test.EmptyText","doc":"This module provides a list of strings that are considered empty texts, i.e. they are non-discernable: they are either invisible or look like whitespace.","ref":"NLdoc.Test.EmptyText.html"},{"type":"function","title":"NLdoc.Test.EmptyText.all/0","doc":"Forms of empty texts for use in tests.","ref":"NLdoc.Test.EmptyText.html#all/0"},{"type":"function","title":"Examples - NLdoc.Test.EmptyText.all/0","doc":"iex> NLdoc.Test.EmptyText.all() |> Enum.member?(\" \")\n    true","ref":"NLdoc.Test.EmptyText.html#all/0-examples"},{"type":"module","title":"NLdoc.Test.Logs","doc":"This module helps with capturing log output in tests.","ref":"NLdoc.Test.Logs.html"},{"type":"type","title":"NLdoc.Test.Logs.log/0","doc":"","ref":"NLdoc.Test.Logs.html#t:log/0"},{"type":"type","title":"NLdoc.Test.Logs.metadata/0","doc":"","ref":"NLdoc.Test.Logs.html#t:metadata/0"},{"type":"function","title":"NLdoc.Test.Logs.opts/1","doc":"For use with &ExUnit.CaptureLog.capture_log/2.","ref":"NLdoc.Test.Logs.html#opts/1"},{"type":"function","title":"Examples - NLdoc.Test.Logs.opts/1","doc":"iex> NLdoc.Test.Logs.opts()\n    [colors: [enabled: false], format: \"$time $metadata[$level] $message\\n\", metadata: :all]\n    iex> NLdoc.Test.Logs.opts(format: \"$message\")\n    [colors: [enabled: false], metadata: :all, format: \"$message\"]\n    iex> NLdoc.Test.Logs.opts(level: :info)\n    [colors: [enabled: false], format: \"$time $metadata[$level] $message\\n\", metadata: :all, level: :info]","ref":"NLdoc.Test.Logs.html#opts/1-examples"},{"type":"function","title":"NLdoc.Test.Logs.parse!/1","doc":"For parsing multiple lines of log.","ref":"NLdoc.Test.Logs.html#parse!/1"},{"type":"function","title":"Examples - NLdoc.Test.Logs.parse!/1","doc":"iex> \"23:09:04.123 line=114 file=lib/ex_unit/capture_log.ex [info] hello this is a test\\n\" <>\n    ...> \"22:08:03.193 line=124 file=lib/ex_unit/capture_log.ex [error] Lorem, ipsum, dolor sit.\\n\"\n    ...> |> NLdoc.Test.Logs.parse!()\n    [\n      {\n        \"23:09:04.123\",\n        %{\"line\" => \"114\", \"file\" => \"lib/ex_unit/capture_log.ex\"},\n        \"info\",\n        \"hello this is a test\"\n      },\n      {\n        \"22:08:03.193\",\n        %{\"line\" => \"124\", \"file\" => \"lib/ex_unit/capture_log.ex\"},\n        \"error\",\n        \"Lorem, ipsum, dolor sit.\"\n      }\n    ]\n    iex> NLdoc.Test.Logs.parse!(\"Not following format.\")\n    ** (RuntimeError) Log does not follow format: \"Not following format.\"","ref":"NLdoc.Test.Logs.html#parse!/1-examples"},{"type":"function","title":"NLdoc.Test.Logs.parse_line!/1","doc":"Parsing a single line of log.","ref":"NLdoc.Test.Logs.html#parse_line!/1"},{"type":"function","title":"Examples - NLdoc.Test.Logs.parse_line!/1","doc":"iex> \"23:09:04.123 line=114 file=lib/ex_unit/capture_log.ex [info] hello this is a test\"\n    ...> |> NLdoc.Test.Logs.parse_line!()\n    {\"23:09:04.123\", %{\"line\" => \"114\", \"file\" => \"lib/ex_unit/capture_log.ex\"}, \"info\", \"hello this is a test\"}\n    iex> NLdoc.Test.Logs.parse_line!(\"Not following format.\")\n    ** (RuntimeError) Log does not follow format: \"Not following format.\"","ref":"NLdoc.Test.Logs.html#parse_line!/1-examples"},{"type":"function","title":"NLdoc.Test.Logs.parse_metadata/1","doc":"Parsing metadata.","ref":"NLdoc.Test.Logs.html#parse_metadata/1"},{"type":"function","title":"Examples - NLdoc.Test.Logs.parse_metadata/1","doc":"iex> \"23:09:04.123 hello=world service.name=nldoc_foo\"\n    ...> |> NLdoc.Test.Logs.parse_metadata()\n    %{\"hello\" => \"world\", \"service.name\" => \"nldoc_foo\"}","ref":"NLdoc.Test.Logs.html#parse_metadata/1-examples"},{"type":"module","title":"NLdoc.Test.Snapshot","doc":"This module provides snapshot testing functionality for ExUnit tests.","ref":"NLdoc.Test.Snapshot.html"},{"type":"function","title":"NLdoc.Test.Snapshot.assert_snapshot/3","doc":"Asserts that the actual value matches the expected value saved in a snapshot file.\nThe actual value is always saved (inspect/2 with pretty: true) to a file named `actual.exs`.","ref":"NLdoc.Test.Snapshot.html#assert_snapshot/3"},{"type":"function","title":"Options - NLdoc.Test.Snapshot.assert_snapshot/3","doc":"* `:save_expected` - Save the actual value as the expected value for the snapshot. This overwrites the existing expected value.\n* `:format` - Format the actual value in specific format. Currently supports `:exs` and `:json`.","ref":"NLdoc.Test.Snapshot.html#assert_snapshot/3-options"},{"type":"type","title":"NLdoc.Test.Snapshot.destination/0","doc":"","ref":"NLdoc.Test.Snapshot.html#t:destination/0"},{"type":"type","title":"NLdoc.Test.Snapshot.filetype/0","doc":"","ref":"NLdoc.Test.Snapshot.html#t:filetype/0"},{"type":"function","title":"NLdoc.Test.Snapshot.format_how_to_update_expected/2","doc":"","ref":"NLdoc.Test.Snapshot.html#format_how_to_update_expected/2"},{"type":"function","title":"NLdoc.Test.Snapshot.format_snapshot_does_not_match/2","doc":"","ref":"NLdoc.Test.Snapshot.html#format_snapshot_does_not_match/2"},{"type":"function","title":"NLdoc.Test.Snapshot.format_snapshot_not_found/2","doc":"","ref":"NLdoc.Test.Snapshot.html#format_snapshot_not_found/2"},{"type":"function","title":"NLdoc.Test.Snapshot.load_snapshot!/2","doc":"","ref":"NLdoc.Test.Snapshot.html#load_snapshot!/2"},{"type":"type","title":"NLdoc.Test.Snapshot.opt/0","doc":"","ref":"NLdoc.Test.Snapshot.html#t:opt/0"},{"type":"function","title":"NLdoc.Test.Snapshot.save_snapshot/4","doc":"","ref":"NLdoc.Test.Snapshot.html#save_snapshot/4"},{"type":"function","title":"NLdoc.Test.Snapshot.snapshot_path/3","doc":"","ref":"NLdoc.Test.Snapshot.html#snapshot_path/3"},{"type":"extras","title":"NLdoc.Test","doc":"# NLdoc.Test\n\n**TODO: Add description**","ref":"readme.html"},{"type":"extras","title":"Installation - NLdoc.Test","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `nldoc_test` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:nldoc_test, \"~> 0.1.0\"}\n  ]\nend\n```\n\nDocumentation can be generated with [ExDoc](https://github.com/elixir-lang/ex_doc)\nand published on [HexDocs](https://hexdocs.pm). Once published, the docs can\nbe found at  .","ref":"readme.html#installation"},{"type":"extras","title":"Changelog","doc":"# Changelog\n\n## [3.0.6](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_test/compare/3.0.5...3.0.6) (2025-04-03)","ref":"changelog.html"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* update references (GitLab migration) ([2ad0408](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_test/commit/2ad040862554d06ad96702915c593acac2b92b46))\n\n## [3.0.5](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_test/compare/3.0.4...3.0.5) (2025-04-02)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency mimic to v1.11.2 ([b2f180b](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_test/commit/b2f180bbfc1ada7e8a7d40daded7c62c572f49eb))\n\n## [3.0.4](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_test/compare/3.0.3...3.0.4) (2025-03-29)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency mimic to v1.11.1 ([6255224](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_test/commit/625522421e21756a0561835c4b1571f1ee6ee5f0))\n\n## [3.0.3](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_test/compare/3.0.2...3.0.3) (2025-03-07)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency ex_doc to v0.37.3 ([20f211b](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_test/commit/20f211bd5691ef57adb1870c96bb4f90f9018611))\n\n## [3.0.2](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_test/compare/3.0.1...3.0.2) (2025-02-20)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency ex_doc to v0.37.2 ([0cfc622](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_test/commit/0cfc622bdd414a9c67f5bf0e21fa398de171ca30))\n\n## [3.0.1](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_test/compare/3.0.0...3.0.1) (2025-02-11)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency ex_doc to v0.37.1 ([5decef1](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_test/commit/5decef1791d1b73eea59b48b1f9591b5fa720d76))\n\n# [3.0.0](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_test/compare/2.1.0...3.0.0) (2025-02-06)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Features - Changelog","doc":"* **NLD-625:** Make helper for Logs follow regular format and not ECS. ([e3cfedd](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_test/commit/e3cfeddb0bbe9266ca052c2c928bdc8c5e86a46b))","ref":"changelog.html#features"},{"type":"extras","title":"BREAKING CHANGES - Changelog","doc":"* **NLD-625:** This removes old functionality in NLdoc.Test.Logs\n\n# [2.1.0](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_test/compare/2.0.0...2.1.0) (2025-01-29)","ref":"changelog.html#breaking-changes"},{"type":"extras","title":"Features - Changelog","doc":"* NLD-586 reintroduce NLdoc.Test.Logs ([0442cf2](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_test/commit/0442cf2a7f186d927444ae12a8e6564197fb8ad1))\n\n# [2.0.0](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_test/compare/1.2.1...2.0.0) (2025-01-29)\n\n\n* feat!: NLD-586 remove log helpers ([8c1f8d3](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_test/commit/8c1f8d39c1e1f9bafae226f7c88c270739dfe5d6))","ref":"changelog.html#features"},{"type":"extras","title":"BREAKING CHANGES - Changelog","doc":"* Removes NLdoc.Test.Logs\n\n## [1.2.1](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_test/compare/1.2.0...1.2.1) (2025-01-27)","ref":"changelog.html#breaking-changes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency excoveralls to v0.18.5 ([fe56016](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_test/commit/fe56016c95b27ec8ec49f38a35de99ae85fa16e9))\n\n# [1.2.0](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_test/compare/1.1.0...1.2.0) (2025-01-23)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Features - Changelog","doc":"* **NLD-586:** EmptyText ([05dd39b](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_test/commit/05dd39b26662402a64f30abb57fb241de2b8cfd2))\n\n# [1.1.0](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_test/compare/1.0.1...1.1.0) (2025-01-23)","ref":"changelog.html#features"},{"type":"extras","title":"Features - Changelog","doc":"* **NLD-586:** Logic for testing logging ([d98d4fe](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_test/commit/d98d4fe522f1d810842c74287d47e01f96daef64))\n\n## [1.0.1](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_test/compare/1.0.0...1.0.1) (2025-01-23)","ref":"changelog.html#features"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* formatting ([4967d05](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_test/commit/4967d05fe0ba18702d879f1a8dee5e055c7c1752))\n\n# 1.0.0 (2025-01-23)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **docs:** main ([3ecfc16](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_test/commit/3ecfc167dca3a7a98d29494c294340d4ffa1de1d))","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Features - Changelog","doc":"* finalize lib ([5be2735](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_test/commit/5be2735ab4af6136cb7a943f5b834d10efccc2d0))\n* finalize wrapping logic in package ([9b06231](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_test/commit/9b0623184f258c174b147888ecb374f10c152071))","ref":"changelog.html#features"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}